rtax(1)

NAME
rtax - Rapid and accurate taxonomic classification of short paired-end sequence reads from the 16S ribosomal RNA gene

SYNOPSIS
rtax [OPTION]...

DESCRIPTION

OPTIONS

-r refd
    reference database in FASTA format

-t taxonomy
    taxonomy file with sequence IDs matching the reference database

-a queryA
    FASTA file containing query sequences (single-ended or read 1)

-b queryB
    FASTA file containing query sequences (read b, with matching IDs)

-x  Reverse-complement query A sequences (required if they are provided in the reverse sense)

-y  Reverse-complement query B sequences (required if they are provided in the reverse sense)

-i regex
    regular expression used to select part of the fasta header to use as the sequence id. Default: "(\S+)"

-l file
    text file containing sequence IDs to process, one per line

-d delimiter
    delimiter separating the two reads when provided in a single file

-m tempdir
    temporary directory. Will be removed on successful completion, but likely not if there is an error

-f  for sequences where only one read is available, fall back to single-ended classification. Default: drop these sequences

-g  for sequences where one read is overly generic, do not fall back to single-ended classification. Default: classify these sequences based on only the more specific read

-o classifications.out
    output path

EXAMPLES
A quickstart example can be found here: https://github.com/davidsoergel/rtax/wiki/QuickStart

Rtax can also be used within QIIME workflows, see this link for more information: http://www.qiime.org/tutorials/rtax.html

AUTHOR
This manual page was written by Simon Kainz <simon@familiekainz.at> for the rtax package.

Rtax was written by David A. W. Soergel <soergel@cs.umass.edu>.